#
# spec file for package python-dateparser
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-dateparser
Version:        0.7.4
Release:        1.1
Summary:        Date parsing library designed to parse dates from HTML pages
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/scrapinghub/dateparser
Source:         https://files.pythonhosted.org/packages/source/d/dateparser/dateparser-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-python-dateutil
Requires:       python-pytz
Requires:       python-regex
Requires:       python-tzlocal
Recommends:     convertdate
Recommends:     python-jdatetime
Recommends:     python-ruamel.yaml
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module convertdate}
BuildRequires:  %{python_module coverage}
BuildRequires:  %{python_module jdatetime}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module nose}
BuildRequires:  %{python_module parameterized}
BuildRequires:  %{python_module python-dateutil}
BuildRequires:  %{python_module pytz}
BuildRequires:  %{python_module regex}
BuildRequires:  %{python_module ruamel.yaml}
BuildRequires:  %{python_module six}
BuildRequires:  %{python_module tzlocal}
# /SECTION
%python_subpackages

%description
Date parsing library designed to parse dates from HTML pages

%prep
%setup -q -n dateparser-%{version}
# not py3 compatible and weird license of the imported module
rm tests/test_hijri.py
rm dateparser/calendars/hijri*

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand nosetests-%{$python_bin_suffix}

%files %{python_files}
%doc AUTHORS.rst README.rst
%license LICENSE
%dir %{python_sitelib}/dateparser
%{python_sitelib}/dateparser/*
%dir %{python_sitelib}/dateparser_data
%{python_sitelib}/dateparser_data/*
%dir %{python_sitelib}/dateparser-%{version}-py*.egg-info
%{python_sitelib}/dateparser-%{version}-py*.egg-info

%changelog
* Thu Apr  2 2020 mcalabkova@suse.com
- update to version 0.7.4
  * Fixed Python 2.7 tests
  * Extended Norwegian support
  * Implement a PARSERS setting
  * Add support for `PREFER_DATES_FROM` in relative/freshness parser
  * Add support for `PREFER_DAY_OF_MONTH` in base-formats parser
  * Added UTC -00:00 as a valid offset
  * Fix support for “one”
  * Fix tokenizer for non recognized characters
  * Prevent installing regex 2019.02.19
  * Added Hungarian language.
  * Added setting, `STRICT_PARSING` to ignore incomplete dates.
  * More simplifications for Russian and Ukrainian languages.
* Sat Sep 21 2019 arun@gmx.de
- specfile:
  * be more precise in %%file section
- update to version 0.7.2:
  * Features:
    + Extended Czech support
    + Added time to valid periods
    + Added timezone information to dates found with search_dates()
    + Support strings as date formats
  * Improvements:
    + Fixed Collections ABCs depreciation warning
    + Fixed dates with trailing colons not being parsed
    + Fixed date format override on any settings change
    + Fixed parsing current weekday as past date, regardless of
    settings
    + Added UTC -2:30 as a valid offset
    + Added Python 3.7 to supported versions, dropped support for
    Python 3.3 and 3.4
    + Moved to importlib from imp where possible
    + Improved support for Catalan
    + Documentation improvements
* Fri Sep 13 2019 tchvatal@suse.com
- Fix license
- Format with spec-cleaner
- Remove py2 only parts
* Wed Apr  3 2019 jayvdb@gmail.com
- Initial spec for v0.7.1
